This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 151289

Summary: Inability to set mnemonics to column names in Outline view
Product: platform Reporter: Martin Entlicher <mentlicher>
Component: Outline&TreeTableAssignee: Jiri Rechtacek <jrechtacek>
Status: RESOLVED FIXED    
Severity: blocker Keywords: A11Y
Priority: P3    
Version: 6.x   
Hardware: All   
OS: All   
Issue Type: DEFECT Exception Reporter:
Bug Depends on:    
Bug Blocks: 136658    
Attachments: Use of ampersands.

Description Martin Entlicher 2008-10-24 14:58:05 UTC
In TreeTableView we were used to set mnemonics via "ColumnMnemonicCharTTV" property. It was not the bast approach
(because of issue #109750), but we need some way to accomplish this when using Outline.
Adding '&' to display name of columns does not work as can be seen from the attachment.
Comment 1 Martin Entlicher 2008-10-24 14:58:51 UTC
Created attachment 72604 [details]
Use of ampersands.
Comment 2 Stanislav Aubrecht 2008-12-08 16:23:52 UTC
reassigning to new component owner
Comment 3 Jiri Rechtacek 2008-12-17 16:59:14 UTC
fixed in core-main/rev/4ada334811b8. Since this fix you can easily use column names with ampersands. A ampersand will be
cut from column name in table but will be used in the columns selector. 
Comment 4 Quality Engineering 2008-12-18 06:36:41 UTC
Integrated into 'main-golden', will be available in build *200812180201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/4ada334811b8
User: Jiri Rechtacek <jrechtacek@netbeans.org>
Log: #151289: Inability to set mnemonics to column names in Outline view